<template>
  <v-container fluid>
    <div class="dashboard-page">
      <v-row no-gutters class="d-flex justify-space-between mt-10 mb-6">
        <h1 class="page-title">Программы</h1>
        <v-col cols="3">
        <v-select
          class="mr-1"
          v-model="select"
          :items="selectItems"
          item-text="name"
          item-value="code"
          persistent-hint
          return-object
          outlined
        >
        </v-select>

        </v-col>
      </v-row>
      <v-row>
        <v-col
          v-for="program in programStore.programs" :key="program.id"
          lg=4
          sm=6
          md=5
          cols=12
        >
          <program-card
            :program="program"
          ></program-card>
        </v-col>
      </v-row>
    </div>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
import ApplicationModule from '@/store/modules/application';
import { getModule } from 'vuex-module-decorators';
import ProgramCard from '@/components/ProgramCard/ProgramCard.vue';
import ProgramModule from '@/store/modules/programs';
import GraduationModule from '@/store/modules/graduations';
import { IProgramParams, IRateParams } from '@/interfaces';

@Component({components: {ProgramCard}})
export default class Dashboard extends Vue {
  private programStore = getModule(ProgramModule, this.$store);
  private graduationStore = getModule(GraduationModule, this.$store);
  private select = { name: 'Очное', code: 'ochnoe' };
  private selectItems = [
    { name: 'Очное', code: 'ochnoe' },
    { name: 'Заочное', code: 'zaoch' },
  ];

  protected created() {
    this.updatePrograms();
  }

  protected updatePrograms() {
    const path: string = ( this as any ).$router.history.current.path;
    const params: IProgramParams = {
      graduation: path.slice(1),
      educationForm: this.select.code,
    };
    this.programStore.fetchPrograms(params);
  }
}
</script>

<style src="./Dashboard.scss" lang="scss"/>
